apemanseed
==========

<!---
This file is generated by ape-tmpl. Do not update manually.
--->

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]
[![JS Standard][bd_standard_shield_url]][bd_standard_url]

[bd_repo_url]: https://github.com/apeman-labo/apemanseed
[bd_travis_url]: http://travis-ci.org/apeman-labo/apemanseed
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-labo/apemanseed.svg?style=flat
[bd_travis_com_url]: http://travis-ci.com/apeman-labo/apemanseed
[bd_travis_com_shield_url]: https://api.travis-ci.com/apeman-labo/apemanseed.svg?token=
[bd_license_url]: https://github.com/apeman-labo/apemanseed/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-labo/apemanseed
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-labo/apemanseed.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-labo/apemanseed.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-labo/apemanseed
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-labo/apemanseed.svg
[bd_npm_url]: http://www.npmjs.org/package/apemanseed
[bd_npm_shield_url]: http://img.shields.io/npm/v/apemanseed.svg?style=flat
[bd_standard_url]: http://standardjs.com/
[bd_standard_shield_url]: https://img.shields.io/badge/code%20style-standard-brightgreen.svg

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

Dynamic data generator.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>



<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/guides/01.Installation.md.hbs" Start -->

<a name="section-doc-guides-01-installation-md"></a>

Installation
-----

```bash
$ npm install apemanseed --save
```


<!-- Section from "doc/guides/01.Installation.md.hbs" End -->

<!-- Section from "doc/guides/02.Usage.md.hbs" Start -->

<a name="section-doc-guides-02-usage-md"></a>

Usage
---------

```javascript
'use strict'

const apemanseed = require('apemanseed')

let seed = apemanseed('ja', {
  vars: {
    foo: 'bar'
  }
})

let users = seed.explode({
  username: '#{animal}'
}, 100)

console.log(users)

```


<!-- Section from "doc/guides/02.Usage.md.hbs" End -->

<!-- Section from "doc/guides/03.Context.md.hbs" Start -->

<a name="section-doc-guides-03-context-md"></a>

Context
-------

Variables available inside expression.

### Values with ja lang

| Name | Example |
| ---- | ------- |
| addressKana | "ナガノケンアヅミノシアカシナヒガシカワテ", "ナガノケントウミシシオカワ", "オカヤマケンミマサカシヨシ" |
| address | "長野県安曇野市明科東川手5-12-5", "長野県東御市塩川1-10-6", "岡山県美作市吉9-15-2 アーバンティ吉 1105号室" |
| age | "66", "27", "28" |
| animal | "あかうま", "あかうお", "あかいぬ" |
| bird | "ひばり", "ひな", "ひどりがも" |
| birthday | "Fri, 17 Feb 1950 23:47:58 GMT", "Tue, 25 Apr 1989 02:13:44 GMT", "Sun, 08 May 1988 17:46:03 GMT" |
| city | "ニューヨーク", "紐育", "新潟市" |
| color | "むらさき", "緑", "みどり" |
| country | "ツバル", "智利", "チリ" |
| fish | "えい", "うみへび", "うみすずめ" |
| fruit | "たちばな", "橙", "だいだい" |
| geo | "高原", "懸崖", "群島" |
| instrument | "打楽器", "大正琴", "太鼓" |
| myoujiKana | "さわだ", "くぼた", "ほんだ" |
| myouji | "沢田", "久保田", "本田" |
| namaeKana | "ヨシミ", "タカマサ", "カツミ" |
| namae | "美己", "貴雅", "克三" |
| organ | "心臓", "腎臓", "心室" |
| plant | "西瓜", "しんわすれなぐさ", "ジンジャー" |
| star | "大犬座", "おおいぬ座", "おうし座" |
| unit | "レオミュール度", "レイリー", "立米" |


### Values with en lang

| Name | Example |
| ---- | ------- |
| age | "35", "39", "23" |
| color | "eau de nil", "ebony", "ecru" |
| email | "mmasonds@google.ca", "jalvarezdt@umn.edu", "jfreemandu@time.com" |
| firstName | "Mildred", "Jessica", "Judith" |
| fish | "bigscale fish", "bigscale pomfret", "billfish" |
| flower | "rhododendron", "potentilla", "king protea" |
| gender | "Female", "Female", "Female" |
| lastName | "Mason", "Alvarez", "Freeman" |



### Functions

 + `moment()`
 + `numcal()`
 + `stringcase()`
 + `randomval()`
 + `toRomaji()`
 + `toHiragana()`
 + `toKatakana()`
 + `randomBool()`
 + `randomDate()`
 + `randomHash()`
 + `randomInt()`
 + `random()`
 + `camelcase()`
 + `capitalcase()`
 + `constcase()`
 + `decapitalcase()`
 + `enumcase()`
 + `lowercase()`
 + `pascalcase()`
 + `pathcase()`
 + `sentencecase()`
 + `snakecase()`
 + `spacecase()`
 + `spinalcase()`
 + `titlecase()`
 + `trimcase()`
 + `uppercase()`
 + `ave()`
 + `max()`
 + `min()`
 + `sum()`


<!-- Section from "doc/guides/03.Context.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-labo/apemanseed/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman][apeman_url]

[apeman_url]: https://github.com/apeman-labo/apeman

<!-- Links End -->
