/**
 * A apeman seed context.
 * @constructor Apemanseed
 */

'use strict'

const pudding = require('pudding')
const argx = require('argx')

/** @lends Apemanseed */
function Apemanseed (lang, config) {
  let args = argx(arguments)
  lang = args.shift('string')
  config = args.pop('object') || {}
  config.lang = lang || config.lang
  const s = this
  Object.assign(s, config)
}

Apemanseed.prototype = Object.assign(pudding({}), {
  /** Bind explode function */
  bindExplode () {
    const s = this
    let explode = s.explode.bind(s)
    return Object.assign(explode, {
      one (values) {
        return explode(values, 1).shift()
      }
    })
  }
})

module.exports = Apemanseed
