/**
 * Combine seeds
 * @function combine
 * @param {String[]} langs
 * @returns {Object}
 */
'use strict'

const create = require('./create')

/** @lends combine */
function combine (langs, options = {}) {
  let { vars = {} } = options
  return langs.reduce((seeds, lang) => Object.assign(seeds, {
    [lang]: create(lang, { vars }).bindExplode()
  }), {})
}

module.exports = combine
