/**
 * Test case for apemanseed.
 * Runs with mocha.
 */
'use strict'

const Apemanseed = require('../lib/apemanseed.js')
const assert = require('assert')

describe('apemanseed', () => {
  before((done) => {
    done()
  })

  after((done) => {
    done()
  })

  it('Apemanseed', (done) => {
    assert.ok(Apemanseed)
    assert.ok(new Apemanseed())
    let apemanseed = new Apemanseed({
      lang: 'ja'
    })
    let data = apemanseed.explode({
      name: '${this.namae} ${this.myouji}'
    }, 100)
    assert.ok(data)
    assert.equal(data.length, 100)
    console.log(data)
    done()
  })

  it('Bind explode', (done) => {
    let explode = new Apemanseed({
      lang: 'en'
    }).bindExplode()
    let one = explode.one({ name: '#{lastName}' })
    assert.ok(one)
    done()
  })
})

/* global describe, before, after, it */
